Skip to main content
Suppliers

Get a supplier payment term

This method requires the SupplierPaymentTerms:Get permission to be associated with your role.

GET
/fm/suppliers/payment-terms/{supplier_payment_term_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
supplier_payment_term_idstringrequired
Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

payment_termstring
status_flagenum<string>
Available options: active, inactive
supplier_payment_term_idstring